Menu
Microsoft Mail users surprised by Y2K fix

Microsoft Mail users surprised by Y2K fix

Microsoft recently posted documents outlining the need for Microsoft Mail users to download and install service packages to keep the latest releases of that widely used messaging system free of bugs into the next century.

The news that Microsoft Mail needs these year 2000 fixes comes as something of a surprise. As recently as a few months ago, Microsoft ran advertisements asking, "It's 1900, do you know where your messages are?" - alluding to arch rival Lotus' year 2000 vulnerability with its cc:Mail installed base.

The need for the three-year-old MS Mail system to receive year 2000 fixes means Microsoft's installed base of non-Exchange e-mail users will face Y2K issues similar to those that Lotus' non-Notes users did.

Lotus, however, bit the bullet on Y2K for cc:Mail more than a year ago, saying that only c:Mail Versions 6.0 and later were known to be year 2000 safe. So cc:Mail users faced the choice of upgrading to 6.0 or switching systems entirely. Lotus also said cc:Mail 6.0 was the last major release of cc:Mail.

"Lotus did a better job of letting people know the issues and plan for 1999. Microsoft has not done as good a job of telling people there's a problem. At least now they've given them a year, and it's just in the nick of time," said Eric Arnum, editor of the Electronic Mail & Messaging Systems newsletter, based in Washington.

Customers not locked in

"We took a different tactic. We couldn't tell our users to jump off a cliff. We haven't got our customers locked in like Microsoft," said Glenn Matsuda, director of migration product marketing at Lotus in Massachusetts. "It's a different way of doing business."

The MS Mail service packages, which have been available since November 1998 on the Microsoft Web site, were not announced by Microsoft until late December 1998.

The fixes are required of users of MS Mail 3.5, MS Mail Client 3.5, MS Mail Client 4.21, Remote Mail Client 3.2, and MS Mail Gateway 4.0, said Doug Stumberger, product manager in the Exchange Server group. Earlier MS Mail versions will not be supported for year 2000 readiness, Stumberger said.

Fixes need to be installed only on the server, unless the customer uses the DOS or Windows remote client, in which case fixes need to be installed on each client as well, said Microsoft officials.

"This will not contribute to the mental health of those people doing strategy for Y2K compatibility," Arnum said.

To become Y2K safe, current users of MS Mail, which Arnum estimates at 5.5 million seats in the US, will need to upgrade to the latest versions and install the latest service packs.

Another choice for MS Mail users is to upgrade to a year 2000-safe messaging system. Not surprisingly, Microsoft heartily endorses such a move to Microsoft Exchange 5.5, and offers price incentives and free migration tools to do so.


Follow Us

Join the newsletter!

Error: Please check your email address.
Show Comments